View Issue Details

IDProjectCategoryView StatusLast Update
0003168SymmetricDSNew Featurepublic2018-02-14 15:08
ReporterkstojanovskaAssigned Tokstojanovska 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.9.0 
Target Version3.9.0Fixed in Version3.9.0 
Summary0003168: Create CSV Router to route data from a CSV file into a database and update documentation.
DescriptionCreate CSV Router to route data from a CSV file into a database and update documentation.

Add an example in section 8 in user guide for a by example step through of replicating a csv file into a database.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.9 0450e059

2017-06-26 13:03:23

klementinastojanovska

Details Diff
0003168: Create CSV Router to route data from a CSV file into a database
and update documentation.

0003168
mod - symmetric-assemble/src/asciidoc/configuration/routers.ad Diff File
add - symmetric-assemble/src/asciidoc/configuration/routers/csv.ad Diff File
add - symmetric-assemble/src/asciidoc/configuration/routers/dbf.ad Diff File
mod - symmetric-assemble/src/asciidoc/configuration/routers/types.ad Diff File
mod - symmetric-assemble/src/asciidoc/examples.ad Diff File
add - symmetric-assemble/src/asciidoc/examples/csv2db.ad Diff File
add - symmetric-assemble/src/asciidoc/images/csv-router.png Diff File
add - symmetric-assemble/src/asciidoc/images/examples/createFileRouting.png Diff File
add - symmetric-assemble/src/asciidoc/images/examples/createFileTrigger.png Diff File
add - symmetric-assemble/src/asciidoc/images/examples/createRouter.png Diff File
add - symmetric-assemble/src/asciidoc/images/examples/createTable.png Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/route/AbstractFileParsingRouter.java Diff File
add - symmetric-core/src/main/java/org/jumpmind/symmetric/route/CSVRouter.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataExtractorService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/RouterService.java Diff File

SymmetricDS: 3.9 a64a0441

2017-07-02 12:32:00

chenson42

Details Diff
0003168: Create CSV Router to route data from a CSV file
0003168
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataExtractorService.java Diff File

Issue History

Date Modified Username Field Change
2017-06-26 12:57 kstojanovska New Issue
2017-06-26 12:57 kstojanovska Status new => assigned
2017-06-26 12:57 kstojanovska Assigned To => kstojanovska
2017-06-26 13:05 kstojanovska Status assigned => resolved
2017-06-26 13:05 kstojanovska Fixed in Version => 3.9.0
2017-06-26 13:05 kstojanovska Resolution open => fixed
2017-12-15 16:21 mmichalek Status resolved => closed
2018-02-14 15:08 chenson42 Changeset attached => SymmetricDS 3.9 a64a0441
2018-02-14 15:08 Changeset attached => SymmetricDS 3.9 0450e059